## ros-lunar-phidgets-high-speed-encoder 0.7.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(phidgets_high_speed_encoder)

# Use C++11
if (CMAKE_VERSION VERSION_LESS "3.1")
	if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
		set (CMAKE_CXX_FLAGS "-std=gnu++11 ${CMAKE_CXX_FLAGS}")
	endif ()
else ()
	set (CMAKE_CXX_STANDARD 11)
endif ()

# High level of warnings:
if (CMAKE_COMPILER_IS_GNUCXX)
	add_compile_options(-Wall)
endif()


find_package(catkin REQUIRED COMPONENTS libphidget21 phidgets_api roscpp std_msgs message_generation sensor_msgs)

add_message_files(
  FILES
  EncoderDecimatedSpeed.msg
)

generate_messages(
  DEPENDENCIES
  std_msgs
)

catkin_package(
  CATKIN_DEPENDS libphidget21 phidgets_api roscpp std_msgs message_runtime sensor_msgs
)

include_directories(${catkin_INCLUDE_DIRS})

add_executable(${PROJECT_NAME} src/phidgets_high_speed_encoder.cpp)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})
add_dependencies(${PROJECT_NAME} ${catkin_EXPORTED_TARGETS})
add_dependencies(phidgets_high_speed_encoder phidgets_high_speed_encoder_generate_messages)

install(TARGETS phidgets_high_speed_encoder
   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-lunar-phidgets-high-speed-encoder (0.7.8-1stretch) stretch; urgency=high

  * phidgets_high_speed_encoder: fix missing tick2rad values (#30 <https://github.com/ros-drivers/phidgets_drivers/issues/30>)
  * Contributors: Charles Brian Quinn

 -- Geoff Viola <geoffrey.viola@asirobots.com>  Sun, 05 May 2019 22:00:00 -0000

ros-lunar-phidgets-high-speed-encoder (0.7.7-1stretch) stretch; urgency=high



 -- Geoff Viola <geoffrey.viola@asirobots.com>  Mon, 17 Sep 2018 22:00:00 -0000

ros-lunar-phidgets-high-speed-encoder (0.7.6-1stretch) stretch; urgency=high



 -- Geoff Viola <geoffrey.viola@asirobots.com>  Wed, 08 Aug 2018 22:00:00 -0000

ros-lunar-phidgets-high-speed-encoder (0.7.5-1stretch) stretch; urgency=high



 -- Geoff Viola <geoffrey.viola@asirobots.com>  Tue, 30 Jan 2018 23:00:00 -0000

ros-lunar-phidgets-high-speed-encoder (0.7.4-1stretch) stretch; urgency=high

  * Merge pull request #15 <https://github.com/ros-drivers/phidgets_drivers/issues/15> from jlblancoc/kinetic
    Add Phidgets high-speed encoder package
  * Contributors: Jose Luis Blanco-Claraco, Geoff Viola, Martin Günther

 -- Geoff Viola <geoffrey.viola@asirobots.com>  Tue, 03 Oct 2017 22:00:00 -0000

ros-lunar-phidgets-high-speed-encoder (0.7.3-1stretch) stretch; urgency=high



 -- Geoff Viola <geoffrey.viola@asirobots.com>  Thu, 29 Jun 2017 22:00:00 -0000

ros-lunar-phidgets-high-speed-encoder (0.7.2-1stretch) stretch; urgency=high



 -- Geoff Viola <geoffrey.viola@asirobots.com>  Thu, 01 Jun 2017 22:00:00 -0000

ros-lunar-phidgets-high-speed-encoder (0.7.1-1stretch) stretch; urgency=high



 -- Geoff Viola <geoffrey.viola@asirobots.com>  Sun, 21 May 2017 22:00:00 -0000

ros-lunar-phidgets-high-speed-encoder (0.7.0-1stretch) stretch; urgency=high



 -- Geoff Viola <geoffrey.viola@asirobots.com>  Fri, 17 Feb 2017 16:40:00 -0000

ros-lunar-phidgets-high-speed-encoder (0.2.3-1stretch) stretch; urgency=high



 -- Geoff Viola <geoffrey.viola@asirobots.com>  Fri, 17 Feb 2017 11:11:00 -0000

ros-lunar-phidgets-high-speed-encoder (0.2.2-1stretch) stretch; urgency=high



 -- Geoff Viola <geoffrey.viola@asirobots.com>  Sun, 22 Mar 2015 23:00:00 -0000

ros-lunar-phidgets-high-speed-encoder (0.2.1-1stretch) stretch; urgency=high



 -- Geoff Viola <geoffrey.viola@asirobots.com>  Wed, 14 Jan 2015 23:00:00 -0000

=== debian/control ===
Source: ros-lunar-phidgets-high-speed-encoder
Section: misc
Priority: extra
Maintainer: Geoff Viola <geoffrey.viola@asirobots.com>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-libphidget21, ros-lunar-message-generation, ros-lunar-phidgets-api, ros-lunar-roscpp, ros-lunar-sensor-msgs, ros-lunar-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-lunar-phidgets-high-speed-encoder
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-libphidget21, ros-lunar-message-runtime, ros-lunar-phidgets-api, ros-lunar-roscpp, ros-lunar-sensor-msgs, ros-lunar-std-msgs
Description: Driver for the Phidgets high speed encoder devices

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-phidgets-high-speed-encoder//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
